Package org.apache.sling.cms.insights

## Class Insight

- java.lang.Object
- - org.apache.sling.cms.insights.Insight

    public class Insight
    extends Object

Simple POJO Model for holding an insight provider's results.

### Constructor Summary

Constructors
`Insight​(InsightProvider provider, InsightRequest request)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addMessage​(Message message)`
`String` `getMoreDetailsLink()`
`Message` `getPrimaryMessage()`
`InsightProvider` `getProvider()`
`InsightRequest` `getRequest()`
`double` `getScore()`
`List<Message>` `getScoreDetails()`
`boolean` `isScored()`
`boolean` `isSkip()`
`boolean` `isSucceeded()`
`void` `setMoreDetailsLink​(String moreDetailsLink)`
`void` `setPrimaryMessage​(Message primaryMessage)`
`void` `setProvider​(InsightProvider provider)`
`void` `setRequest​(InsightRequest request)`
`void` `setScore​(double score)`
`void` `setScored​(boolean scored)`
`void` `setScoreDetails​(List<Message> scoreDetails)`
`void` `setSkip​(boolean skip)`
`void` `setSucceeded​(boolean succeeded)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Insight

    public Insight​(InsightProvider provider,
                   InsightRequest request)

### Method Detail

#### addMessage

    public void addMessage​(Message message)

#### getMoreDetailsLink

    public String getMoreDetailsLink()

Returns:
  the moreDetailsLink

#### getPrimaryMessage

    public Message getPrimaryMessage()

#### getProvider

    public InsightProvider getProvider()

Returns:
  the provider

#### getRequest

    public InsightRequest getRequest()

Returns:
  the request

#### getScore

    public double getScore()

Returns:
  the score

#### getScoreDetails

    public List<Message> getScoreDetails()

Returns:
  the scoreDetails

#### isScored

    public boolean isScored()

#### isSkip

    public boolean isSkip()

Returns:
  the skip

#### isSucceeded

    public boolean isSucceeded()

Returns:
  the succeeded

#### setMoreDetailsLink

    public void setMoreDetailsLink​(String moreDetailsLink)

Parameters:
  `moreDetailsLink` - the moreDetailsLink to set

#### setPrimaryMessage

    public void setPrimaryMessage​(Message primaryMessage)

#### setProvider

    public void setProvider​(InsightProvider provider)

Parameters:
  `provider` - the provider to set

#### setRequest

    public void setRequest​(InsightRequest request)

Parameters:
  `request` - the request to set

#### setScore

    public void setScore​(double score)

Parameters:
  `score` - the score to set

#### setScored

    public void setScored​(boolean scored)

#### setScoreDetails

    public void setScoreDetails​(List<Message> scoreDetails)

Parameters:
  `scoreDetails` - the scoreDetails to set

#### setSkip

    public void setSkip​(boolean skip)

Parameters:
  `skip` - the skip to set

#### setSucceeded

    public void setSucceeded​(boolean succeeded)

Parameters:
  `succeeded` - the succeeded to set

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`